
package com.tmerclub.cloud.coupon.bo;

import com.tmerclub.cloud.coupon.bo.mongo.MongoCouponUserBO;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * @author TRACK
 */
public class AddCouponStockMsgBO {

    private Map<Long, Integer> couponReturnStockMap;

    private Map<Long, List<MongoCouponUserBO>> couponUserIdMap;

    public Map<Long, Integer> getCouponReturnStockMap() {
        return couponReturnStockMap;
    }

    public void setCouponReturnStockMap(Map<Long, Integer> couponReturnStockMap) {
        this.couponReturnStockMap = couponReturnStockMap;
    }

    public Map<Long, List<MongoCouponUserBO>> getCouponUserIdMap() {
        return couponUserIdMap;
    }

    public void setCouponUserIdMap(Map<Long, List<MongoCouponUserBO>> couponUserIdMap) {
        this.couponUserIdMap = couponUserIdMap;
    }

    @Override
    public String toString() {
        return "AddCouponStockMsgBO{" +
                "couponReturnStockMap=" + couponReturnStockMap +
                ", couponUserIdMap=" + couponUserIdMap +
                '}';
    }
}
